public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/kde:master commit in: kde-apps/cantor/
Date: Mon,  7 Sep 2020 15:07:45 +0000 (UTC)	[thread overview]
Message-ID: <1599491148.66e30b8c66aadf6f882b9bbae10e2d619bccee37.asturm@gentoo> (raw)

commit:     66e30b8c66aadf6f882b9bbae10e2d619bccee37
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  7 13:09:10 2020 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon Sep  7 15:05:48 2020 +0000
URL:        https://gitweb.gentoo.org/proj/kde.git/commit/?id=66e30b8c

kde-apps/cantor: Drop pkg_pretend, use optfeature in pkg_postinst

From now on make sure there is at least one of the optional runtime backends
installed if all backend IUSE are disabled.

Package-Manager: Portage-3.0.5, Repoman-3.0.1
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 kde-apps/cantor/cantor-20.08.49.9999.ebuild | 43 +++++++++++++----------------
 kde-apps/cantor/cantor-9999.ebuild          | 43 +++++++++++++----------------
 2 files changed, 38 insertions(+), 48 deletions(-)

diff --git a/kde-apps/cantor/cantor-20.08.49.9999.ebuild b/kde-apps/cantor/cantor-20.08.49.9999.ebuild
index 53ab76f030..c807935fdf 100644
--- a/kde-apps/cantor/cantor-20.08.49.9999.ebuild
+++ b/kde-apps/cantor/cantor-20.08.49.9999.ebuild
@@ -10,7 +10,7 @@ PYTHON_COMPAT=( python3_{7,8} )
 PVCUT=$(ver_cut 1-3)
 KFMIN=5.72.0
 QTMIN=5.14.2
-inherit ecm kde.org python-single-r1
+inherit ecm kde.org optfeature python-single-r1
 
 DESCRIPTION="Interface for doing mathematics and scientific computing"
 HOMEPAGE="https://kde.org/applications/education/org.kde.cantor
@@ -63,32 +63,17 @@ DEPEND="
 	)
 	R? ( dev-lang/R )
 "
-RDEPEND="${DEPEND}"
+RDEPEND="${DEPEND}
+	!analitza? ( !julia? ( !lua? ( !python? ( !qalculate? ( !R? (
+		|| (
+			sci-mathematics/maxima
+			sci-mathematics/octave
+		)
+	) ) ) ) ) )
+"
 
 RESTRICT+=" test"
 
-pkg_pretend() {
-	ecm_pkg_pretend
-
-	if ! has_version sci-mathematics/maxima && ! has_version sci-mathematics/octave && \
-		! use analitza && ! use julia && ! use lua && ! use python && ! use qalculate && ! use R; then
-		elog "You have decided to build ${PN} with no backend."
-		elog "To have this application functional, please enable one of the backends via USE flag:"
-		elog "    analitza, lua, python, qalculate, R"
-		elog "Alternatively, install one of these:"
-		elog "    # emerge sci-mathematics/maxima (bug #619534)"
-		elog "    # emerge sci-mathematics/octave"
-		elog "Experimental available USE flag:"
-		elog "    julia (not stable, bug #613576)"
-		elog
-	fi
-
-	if ! has_version virtual/latex-base; then
-		elog "For LaTeX support:"
-		elog "    # emerge virtual/latex-base"
-	fi
-}
-
 pkg_setup() {
 	use python && python-single-r1_pkg_setup
 	ecm_pkg_setup
@@ -108,3 +93,13 @@ src_configure() {
 	)
 	ecm_src_configure
 }
+
+pkg_postinst() {
+	if [[ -z "${REPLACING_VERSIONS}" ]]; then
+		elog "Optional dependencies:"
+		optfeature "Maxima backend" sci-mathematics/maxima
+		optfeature "Octave backend" sci-mathematics/octave
+		optfeature "LaTeX support" virtual/latex-base
+	fi
+	ecm_pkg_postinst
+}

diff --git a/kde-apps/cantor/cantor-9999.ebuild b/kde-apps/cantor/cantor-9999.ebuild
index c27bf5f5a5..e1073ed888 100644
--- a/kde-apps/cantor/cantor-9999.ebuild
+++ b/kde-apps/cantor/cantor-9999.ebuild
@@ -10,7 +10,7 @@ PYTHON_COMPAT=( python3_{7,8} )
 PVCUT=$(ver_cut 1-3)
 KFMIN=5.73.0
 QTMIN=5.14.2
-inherit ecm kde.org python-single-r1
+inherit ecm kde.org optfeature python-single-r1
 
 DESCRIPTION="Interface for doing mathematics and scientific computing"
 HOMEPAGE="https://kde.org/applications/education/org.kde.cantor
@@ -63,32 +63,17 @@ DEPEND="
 	)
 	R? ( dev-lang/R )
 "
-RDEPEND="${DEPEND}"
+RDEPEND="${DEPEND}
+	!analitza? ( !julia? ( !lua? ( !python? ( !qalculate? ( !R? (
+		|| (
+			sci-mathematics/maxima
+			sci-mathematics/octave
+		)
+	) ) ) ) ) )
+"
 
 RESTRICT+=" test"
 
-pkg_pretend() {
-	ecm_pkg_pretend
-
-	if ! has_version sci-mathematics/maxima && ! has_version sci-mathematics/octave && \
-		! use analitza && ! use julia && ! use lua && ! use python && ! use qalculate && ! use R; then
-		elog "You have decided to build ${PN} with no backend."
-		elog "To have this application functional, please enable one of the backends via USE flag:"
-		elog "    analitza, lua, python, qalculate, R"
-		elog "Alternatively, install one of these:"
-		elog "    # emerge sci-mathematics/maxima (bug #619534)"
-		elog "    # emerge sci-mathematics/octave"
-		elog "Experimental available USE flag:"
-		elog "    julia (not stable, bug #613576)"
-		elog
-	fi
-
-	if ! has_version virtual/latex-base; then
-		elog "For LaTeX support:"
-		elog "    # emerge virtual/latex-base"
-	fi
-}
-
 pkg_setup() {
 	use python && python-single-r1_pkg_setup
 	ecm_pkg_setup
@@ -108,3 +93,13 @@ src_configure() {
 	)
 	ecm_src_configure
 }
+
+pkg_postinst() {
+	if [[ -z "${REPLACING_VERSIONS}" ]]; then
+		elog "Optional dependencies:"
+		optfeature "Maxima backend" sci-mathematics/maxima
+		optfeature "Octave backend" sci-mathematics/octave
+		optfeature "LaTeX support" virtual/latex-base
+	fi
+	ecm_pkg_postinst
+}


             reply	other threads:[~2020-09-07 15:07 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-09-07 15:07 Andreas Sturmlechner [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-02-27 21:36 [gentoo-commits] proj/kde:master commit in: kde-apps/cantor/ Sam James
2024-02-27 21:26 Sam James
2024-02-27 21:25 Sam James
2024-02-23  8:54 Sam James
2023-08-06 10:04 Andreas Sturmlechner
2023-03-22 18:55 Andreas Sturmlechner
2022-07-03 23:13 Andreas Sturmlechner
2021-08-25  9:00 Andreas Sturmlechner
2021-04-04 19:21 Andreas Sturmlechner
2020-12-28 16:00 Andreas Sturmlechner
2020-10-17  9:58 Andreas Sturmlechner
2020-08-30 19:02 Andreas Sturmlechner
2020-07-18  8:57 Andreas Sturmlechner
2020-05-24 17:27 Andreas Sturmlechner
2020-04-30 16:05 Andreas Sturmlechner
2019-11-24 23:51 Andreas Sturmlechner
2019-11-18  8:20 Andreas Sturmlechner
2019-11-17 21:25 Andreas Sturmlechner
2019-11-17 21:15 Andreas Sturmlechner
2019-11-17 19:43 Andreas Sturmlechner
2019-05-09 22:07 Andreas Sturmlechner
2019-04-21 11:18 Andreas Sturmlechner
2018-10-11 19:46 Andreas Sturmlechner
2018-08-18 20:51 Andreas Sturmlechner
2018-08-18 20:51 Andreas Sturmlechner
2017-12-25 10:30 Michael Palimaka
2017-08-26 13:04 Michael Palimaka
2017-08-12 12:32 Andreas Sturmlechner
2017-05-24  9:32 Andreas Sturmlechner
2017-02-13 14:31 Andreas Sturmlechner
2017-02-11 21:25 Andreas Sturmlechner
2017-02-11 21:25 Andreas Sturmlechner
2017-02-02 10:35 Johannes Huber
2017-01-05 13:59 Michael Palimaka
2016-11-30 14:21 Michael Palimaka
2016-11-27 11:30 Michael Palimaka
2016-03-30 18:19 Michael Palimaka
2015-06-12 19:06 Michael Palimaka
2015-05-03 16:38 Manuel Rüger
2014-12-04 10:44 Michael Palimaka

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1599491148.66e30b8c66aadf6f882b9bbae10e2d619bccee37.asturm@gentoo \
    --to=asturm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox